#include <iostream>
#include<bits/stdc++.h>

using namespace std;

struct maca{int rb,f1;}  mg[100005];

int t[100005],f3[100005],marka[100005];

int poredi(maca a,maca b)
{
    if(a.f1<b.f1) return 1;
    else return 0;
}

long long Resi(int N, int *A, int *B)
{
    int i,j,k,x,n,y,u;  n=N;
    long long int r,res=100000000000ll;

    for(i=0;i<n;i++)
    {
        mg[i].rb=i;

        x=A[i];  y=B[i];

        for(j=0;j<n;j++) marka[j]=0;

        for(j=0;j<n;j++)
        {
            if(A[j]<x && B[j]>x && B[j]<y)  mg[i].f1++;
            else if(A[j]<x && B[j]>y)  f3[i]++;
        }
    }

    sort(mg,mg+n,poredi);

    for(u=0;u<=n;u++)   //u je koliko ih je napred uslo
    {
        r=0;
        for(i=0;i<n;i++) t[i]=0;

        for(i=0;i<u;i++)   {r+=mg[i].f1;  t[mg[i].rb]=1;}  // 1 oni su usli napred

        for(i=0;i<n;i++)
        {
            if(t[i]==1)   r+=f3[i];
        }

        res=min(res,r);
    }
    return res;
}